Sso
Keycloak get or create customer and user info
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **sso-controller** > `GET /api/sso/keycloak/getOrCreateCustomerAndUserInfo`.
Keycloak get or create user info
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **sso-controller** > `GET /api/sso/keycloak/getOrCreateUserInfo`.
Session status
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **sso-controller** > `GET /api/sso/keycloak/sessionStatus`.
Find user info by email keycloak
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **sso-controller** > `GET /api/sso/keycloak/userInfo`.